Subject: Re: [PATCH] promisor-remote: prevent lazy-fetch recursion in child fetch

From: Paul Tarjan <[email-masked]>
Date: Wed, 4 Mar 2026 11:20:57 -0700

On Tue, Mar 4, 2026, Junio C Hamano wrote:
> I would suggest dropping these CC: lines from the proposed log
> message.  As far as I can see, they do not have their intended
> effect; [*1*] does not show any of these folks listed on Cc:

Done, moved them to the PR description for GitGitGadget to pick up.

> I also do not see much point in duplicating
> most of what appears in the proposed log message here after the
> three dash line, but that is a separate story.

Cleaned up the PR description to avoid the duplication.

> Hmph, do we really need an entirely new test script file dedicated
> for this single liner change, instead of adding to some existing
> test script that already covers related topics (like promisors and
> lazy fetches from them)?

Moved the test into t0411-clone-from-partial.sh, which already has
the other lazy-fetch tests. Dropped the separate t0412 file and the
meson.build entry.